﻿@model IEnumerable<eCommerce.Services.Model.Transaction>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Id</th>
            <th class="col-sm-1">Fecha</th>
            <th class="col-sm-1">Cliente</th>
            <th class="col-sm-2">Observaciones</th>
            <th class="col-sm-2 text-center">Cuenta Destino</th>
            <th class="col-sm1-2 text-center">Moneda</th>
            <th class="col-sm1-2 text-center">Monto ($)</th>
            <th class="col-sm-1 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.TransactionId)</td>
            <td>@item.Date.ToShortDateString()</td>
            <td>@Html.DisplayFor(modelItem => item.CustomerId)</td>
            <td>@Html.DisplayFor(modelItem => item.Observations)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.Accounting.Name)</td>
            <td class="text-center">@(((CurrencyEnum)item.CurrencyId).ToString())</td>
            <td class="text-right">@string.Format("{0:c2}", item.Amount) </td>
            <td class="actions text-center">
                
                <a href="/OrderPayments/OrderPaymentUpdate?id=@item.TransactionId&OrderId=@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.TransactionId"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
